<?php
$im_id = rand();
?>
<?php 

$post_formats2 = explode(',', $carousel_post_formats);
// WP_Query arguments

if ($carousel_blog_order == "popular") {
$args = array(
		 'post_type' => 'post',
		 'ignore_sticky_posts'    => true,
		 'meta_query' => array(
			  array(
				  'key' => '_post_like_count',
				  'value' => '0',
				  'compare' => '>'
			  )
		  ),
		 'meta_key' => '_post_like_count',
		 'orderby' => 'meta_value_num',
		 'order' => esc_attr($carousel_blog_orderby),
		 'posts_per_page' => esc_attr($carousel_posts_toshow), 
		 	 'tax_query' => array( array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => esc_attr($post_formats2),
            'operator' => 'NOT IN'
           ) ),
	
		 );
} else {
$args = array (
	'post_type'              => 'post',
	'post_status'            => 'publish',
	'posts_per_page'         => esc_attr($carousel_posts_toshow),
	 'tax_query' => array( array(
            'taxonomy' => 'post_format',
            'field' => 'slug',
            'terms' => esc_attr($post_formats2),
            'operator' => 'NOT IN'
           ) ),
	'orderby'                => esc_attr($carousel_blog_order),
	'ignore_sticky_posts'    => true,
	'order'                  => esc_attr($carousel_blog_orderby),
);
}
// The Query
$query = new WP_Query( $args );
$i = 0; ?>
<div class="owl-wrapper-rel blog-carousel">
<div id="owl-slider-<?php echo $im_id; ?>" class="owl-carousel">
<?php
// The Loop
if ( $query->have_posts() ) {
	while ( $query->have_posts() ) {
$query->the_post();
global $post;
global $posts;
// Getting image urls
$img_url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'skyline_img-1920' );
$gallery = get_post_gallery_images( $post->ID );
// Get Images from page if not a gallery
  $gallery_img1 = '';
  $gallery_img2 = '';
  ob_start();
  ob_end_clean();
  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
  if (!empty($matches [1] [0])) { $gallery_img1 = $matches [1] [0];}
  if (!empty($matches [1] [1])) { $gallery_img2 = $matches [1] [1];}
  if ($gallery_img1 == "") {	if (!empty($gallery[1])) { $gallery_img1 = $gallery[1];}}
  if ($gallery_img2 == "") {	if (!empty($gallery[2])) { $gallery_img2 = $gallery[2];}}
  
  // Get Video Link
  /*$embed_url = '';
  ob_start();
  ob_end_clean();
  $output = preg_match( '|^\s*(https?://[^\s"]+)\s*$|im', $post->post_content, $vid_matches );
  if (!empty($vid_matches [1])) {
  $embed = $vid_matches[1];
  $embed_url = wp_oembed_get( $embed );
  }
   */
?>
<?php $permalink =  esc_url( get_permalink() );?>	
<div>
         <?php
// Determine Post Format
$post_format_string = ( get_post_format() ? get_post_format_string( get_post_format() ) : 'Standard' );
$skyline_post_format_option = get_post_meta( get_the_ID(), 'skyline_post_format_option', true );
// Echo the Post Format Output
if ($post_format_string == "Standard") { ?>
<a href="<?php echo esc_url($permalink);?>"><div class="img-wrapper square"><div class="blog-img" style="background-image: url(<?php echo esc_url($img_url[0]);?>);"></div></div></a>
<?php
} elseif ($post_format_string == "Gallery") { ?>
<a href="<?php echo esc_url($permalink);?>"><div class="img-wrapper square"><div class="blog-img" style="background-image: url(<?php echo esc_url($img_url[0]);?>);"></div></div></a>
<?php
} elseif ($post_format_string == "Video") {
// Check if Video Link Exists and Embed Correct Format
if (!empty($skyline_post_format_option['post_format_video_youtube'])) {
$video_id_youtube = $skyline_post_format_option['post_format_video_youtube'];
echo "<div class='post-video'><iframe src='".esc_url('https://www.youtube.com/embed/')."".esc_attr($video_id_youtube)."' width='1170' height='658' frameborder='0' webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe></div>";
} elseif (!empty($skyline_post_format_option['post_format_video_vimeo'])) {
$video_id_vimeo = $skyline_post_format_option['post_format_video_vimeo'];
echo "<div class='post-video'><iframe src='".esc_url('https://player.vimeo.com/video/')."".esc_attr($video_id_vimeo)."' width='1170' height='658' frameborder='0' webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe></div>";
} else {
/*echo esc_url($embed_url);*/
}
// If Post is Audio Post
} elseif ($post_format_string == "Audio") {
// Check if SoundClound Link Exists
if (!empty($skyline_post_format_option['post_format_audio_soundcloud'])) {
$audio_id_soundcloud = $skyline_post_format_option['post_format_audio_soundcloud'];
echo "<div class='post-audio-wrapper'>".wp_kses( $audio_id_soundcloud, array(
    'iframe' => array(
        'height' => array(),
        'width' => array(),
		'scrolling' => array(),
		'frameborder' => array(),
		'src' => array()
    ),
) )."</div>";
}
// If Post is Quote Post
} elseif ($post_format_string == "Quote") {
if (!empty($skyline_post_format_option['post_format_quote'])) {
$quote = esc_html($skyline_post_format_option['post_format_quote']);
} else {
$quote = "";
}
if (!empty($skyline_post_format_option['post_format_quote_source'])) {
$quote_source = esc_html($skyline_post_format_option['post_format_quote_source']);
}
if ($quote == "") {
	echo "
<a href='".esc_url( get_permalink() )."'>
<div class='blog-text-wrapper quote_post'>
<div class='post-quote'>".substr(get_the_excerpt(), 0,150)."
</div>
<div class='post-quote-img' style='background-image: url(". esc_url($img_url[0]) .");'>
</div>
</div>
</a>";

} else {
echo "
<a href='".esc_url( get_permalink() )."'>
<div class='blog-text-wrapper quote_post'>
<div class='post-quote'>\"$quote\"<br/>
<div class='post-quote-source'>- $quote_source</div>
</div>
<div class='post-quote-img' style='background-image: url(". esc_url($img_url[0]) .");'>
</div>
</div>
</a>";
}
}
?>
<?php if ($post_format_string == "Quote") {
// Blog Text Wrapper Removal for Quote
} elseif ($post_format_string == "Link") {
if (!empty($skyline_post_format_option['post_format_link'])) {
$link = $skyline_post_format_option['post_format_link'];
?>
<div class="blog-text-wrapper link_post">
<div class="post-link">
<a href="<?php echo esc_url($link); ?>" target="_blank"><?php echo esc_url($link); ?></a>
</div>
<p><?php echo substr(get_the_excerpt(), 0,150); ?>...</p>
<div class="row blog-info-bottom">
<div class="col-xs-8"><?php echo $post_format_icon; ?></div>
<div class="col-xs-4 text-right"><a class="read-more-link" href="<?php echo esc_url($link); ?>" target="_blank"><?php echo esc_html__( 'Visit', 'skyline') ?> <i class='feather-arrow-right'></i></a></div>
</div>
</div>
<?php
} else {
?>
<div class="blog-text-wrapper">
<?php if ( is_sticky() ){
echo "<div class='sticky_post'>".esc_html__( 'Featured Post', 'skyline')."</div>";
}
 ?>
<h1><a href="<?php esc_url( the_permalink() ) ?>"><?php the_title(); ?></a></h1>
<div class="blog-info">
<?php echo get_avatar( get_the_author_meta( 'ID' ), 128 ); ?>
 <?php echo esc_html__( 'Posted by', 'skyline') ?> <?php the_author_posts_link(); ?> on <a href="<?php echo esc_url(get_day_link(get_post_time('Y'), get_post_time('m'), get_post_time('j'))); ?>"><?php the_time( get_option( 'date_format' ) ); ?></a>
</div>
<p><?php echo substr(get_the_excerpt(), 0,250); ?>...</p>
<div class="row blog-info-bottom">
<div class="col-xs-8"><?php echo $post_format_icon; ?></div>
<div class="col-xs-4 text-right"><a class="read-more-link" href="<?php esc_url( the_permalink() ) ?>"><?php echo esc_html__( 'Read', 'skyline') ?> <i class='feather-arrow-right'></i></a></div>
</div>
</div>
<?php
}
// End Link Post
}
 else { ?>
<div class="blog-text-wrapper text-center">
<h4><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h4>
<div class="blog-info">
<?php echo get_avatar( get_the_author_meta( 'ID' ), 128 ); ?>
 <?php echo esc_attr__('by', 'skyline') ?> <?php the_author_posts_link(); ?> on <a href="<?php echo esc_url(get_day_link(get_post_time('Y'), get_post_time('m'), get_post_time('j'))); ?>"><?php the_time('j M Y') ?></a>
</div>

</div>
<?php } ?>
</div><!-- End Column -->

<?php
}
?>
</div>
<?php
} else {
	// no posts found
}
// Restore original Post Data
wp_reset_postdata();
?>
</div>
<!-- NAVIGATION HIDDEN FOR NOW
<div class="blog-carousel-nav owl-nav">
  <a class="owl prev"><i class="feather-arrow-right"></i></a>
  <a class="owl next"><i class="feather-arrow-left"></i></a>
</div>
-->
</div>
<script type="text/javascript">
      (function($) { "use strict";
	  $(document).ready(function() {
     var owl = $("#owl-slider-<?php echo $im_id; ?>");
    owl.owlCarousel({
items: <?php echo esc_js($carousel_blog_number); ?>,
itemsScaleUp: true,
autoPlay: <?php echo esc_js($carousel_blog_timer); ?>,
stopOnHover: true
});
 // Custom Navigation Events
  $(".next").click(function(){
    owl.trigger('owl.next');
  })
  $(".prev").click(function(){
    owl.trigger('owl.prev');
  })
});
  })(jQuery);
</script>	