<?php
// Button Block
if ($button_block == "yes") {
$button_block = "btn-block";
}
// For White Buttons
if ($button_color == "#ffffff") {
$text_color = "#444444";
} else {
$text_color = "#ffffff";
}
// Open in New Window
if ($button_new_window == "yes") {
$target = "target='_blank'";
} else {
$target = "";
}
// Custom Paddings
if ($button_size == "custom_button") {
$top_bottom_padding = "padding-top:" .$button_custom_topbottom."px; padding-bottom:" .$button_custom_topbottom."px";
$side_padding = "padding-left:" .$button_custom_sides."px; padding-right:" .$button_custom_sides."px";
$button_font_size = "font-size:" .$button_custom_fontsize. "px";
} else {
$top_bottom_padding = "";
$side_padding = "";
$button_font_size = "";
}
//Button Icons
if ($button_icon_code == "") {
$button_icon = "";
} else {
$b_code = $button_icon_code;
$button_icon = "<i class='" .esc_attr($b_code). "'></i>";
}
if ($button_style == '' || $button_style == 'btn-rounded' || $button_style == 'btn-round') {
echo '<a '.$target.' class="btn ' .esc_attr($button_block). ' ' .esc_attr($button_size). ' ' .esc_attr($button_style). '" href="' .esc_url($button_link). '" style="' .esc_attr($button_font_size). '; ' .esc_attr($top_bottom_padding). '; ' .esc_attr($side_padding). '; background-color:' .esc_attr($button_color). '; border-color: ' .esc_attr($button_color). '; color:' .esc_attr($text_color). '" onMouseOver="this.style.color=\''.esc_js($button_color).'\'; this.style.backgroundColor=\'transparent\'" onMouseOut="this.style.color=\''.esc_js($text_color).'\'; this.style.backgroundColor=\''.esc_js($button_color).'\'">' .esc_html($button_text). ' ' .$button_icon. '</a>';
} else if ($button_style == 'btn-outline' || $button_style == 'btn-outline btn-rounded' || $button_style == 'btn-outline btn-round') {
echo '<a '.$target.' class="btn ' .esc_attr($button_block). ' ' .esc_attr($button_size). ' ' .esc_attr($button_style). '" href="' .esc_url($button_link). '" style="' .esc_attr($button_font_size). '; ' .esc_attr($top_bottom_padding). '; ' .esc_attr($side_padding). '; border-color:' .esc_attr($button_color). '; color: ' .esc_attr($button_color). '" onMouseOver="this.style.borderColor=\''.esc_js($button_color).'\'; this.style.backgroundColor=\''.esc_js($button_color).'\'; this.style.color=\''.esc_js($text_color).'\';" onMouseOut="this.style.backgroundColor=\'transparent\'; this.style.color=\''.esc_js($button_color).'\';">' .esc_html($button_text). ' ' .$button_icon. '</a>';
} else if ($button_style == 'btn-3d' || $button_style == 'btn-3d btn-rounded' || $button_style == 'btn-3d btn-round') {
echo '<a '.$target.'class="btn ' .esc_attr($button_block). ' ' .esc_attr($button_size). ' ' .esc_attr($button_style). '" href="' .esc_html($button_link). '" style="' .esc_attr($button_font_size). '; ' .esc_attr($top_bottom_padding). '; ' .esc_attr($side_padding). '; border-color:' .esc_attr($button_color). '; background-color: ' .esc_attr($button_color). '; color:' .esc_attr($text_color). '">' .esc_html($button_text). ' ' .$button_icon. '</a>';
} 
?>