<?php
$current_page = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
$error_message = esc_html__('Please Fill Out All Fields','skyline');
$success_message = esc_html__('Message Successfully Sent!','skyline');
?>
<form id="skyline_form" action="<?php echo esc_url($current_page); ?>#skyline_form" method="post" role="form">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<input class="form-control" name="contact_form_name" id="name" placeholder="<?php echo esc_attr($name_label); ?>" type="text" />
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
							<input class="form-control" name="contact_form_email" id="email" placeholder="<?php echo esc_attr($email_label); ?>"  type="email" />
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<textarea class="form-control" id="message" name="contact_form_message" placeholder="<?php echo esc_attr($message_label); ?>" rows="8"></textarea>
						</div>
						<div class="text-center">
							<button class="btn btn-primary btn-block" type="submit"><?php echo esc_attr($send_button); ?></button>
							</div>
					</div>
				</div>
			</form>
<?php
if (empty($_POST['contact_form_name']) || empty($_POST['contact_form_email']) || empty($_POST['contact_form_message'])) {
echo "<br/><div class='text-center'>".$error_message."</div>";
} else {
$name = $_POST['contact_form_name'];
$email = $_POST['contact_form_email'];
$subject = "From $email";
$message = $_POST['contact_form_message'];
$name=stripslashes($name);
$email=stripslashes($email);
$subject=stripslashes($subject);
$message=stripslashes($message);
$message= "Email Address: $email, \n\n Message: $message";
$headers = "From: $recipient\r\nReply-to: $email";
echo "<br/><div class='text-center'>".$success_message."</div>";
//mail the form contents
wp_mail( $recipient, $subject, $message, $headers );
}
?>