<?php
if ($cta_bg_image_url[0] != "") {
$overlay = '<div class="cta-overlay"></div>';
} else {
$overlay = '';
}
if ($cta_border == "1") {
$border = 'border: 2px solid';
} else if ($cta_border == "0") {
$border = 'border: none';
}
?>
<div class="cta" style="<?php echo esc_attr($border); ?>; border-color: <?php echo esc_attr($cta_border_color); ?>; background-color: <?php echo esc_attr($cta_bg_color); ?>; background-image: url(<?php echo esc_url($cta_bg_image_url[0]); ?>)">
<?php echo $overlay; ?>
<h2 style="color: <?php echo esc_attr($cta_heading_color); ?>; margin-top: 0;"><?php echo esc_html($cta_heading); ?></h2>
<p style="color: <?php echo esc_attr($cta_content_color); ?>; position: relative"><?php echo wp_kses($cta_content, array(
    'a' => array(
        'href' => array()
    ),
    'br' => array(),
    'em' => array(),
    'strong' => array(),
)); ?></p>
<a class="btn <?php echo esc_attr($cta_button_style); ?> btn-primary" href="<?php echo esc_url($cta_button_url); ?>" style="margin-top: 20px"><?php echo esc_html($cta_button_text); ?></a>
</div>