<?php
$subject = $loop;
$search = 'by_id:';
$trimmed_loop = str_replace($search, '', $subject);
$query = new WP_Query(  array (
    'post_type' => 'product',
	'p' => $trimmed_loop,
) );
 ?>
<?php
// The Loop
if ( $query->have_posts() ) {
	while ( $query->have_posts() ) {
		$query->the_post(); ?>
	
<?php 
	$postid = get_the_ID();
	$url = wp_get_attachment_image_src( get_post_thumbnail_id($postid), 'blog-posts-small' );?>
<?php $permalink =  esc_url( get_permalink() );?>
<div class="row shop"><div class="col-sm-12"><a href="<?php echo esc_url($permalink);?>"><div class="img-wrapper">
<div class="shop-img" style="background-image: url('<?php echo esc_url($url[0]);?>');">
<div class="hover-effect"></div>	
</div></div></a>
<div class="blog-text-wrapper woocommerce">
<h3 style="margin-bottom: 10px"><a href="<?php echo esc_url($permalink);?>"><?php the_title(); ?></a></h3>
	<?php
			/**
			 * woocommerce_after_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_template_loop_rating - 5
			 * @hooked woocommerce_template_loop_price - 10
			 */
			do_action( 'woocommerce_after_shop_loop_item_title' );
		?>
<p><?php echo substr(get_the_excerpt(), 0,80); ?>...</p>
	
<div class="add-to-cart-button" style="margin-bottom: 20px">
<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
</div>
</div>
</div>
</div>
<?php
}
} else {
	// no posts found
}
// Restore original Post Data
wp_reset_postdata();
?>