<?php
/**
 * TGM Init Class
 */
include_once SKYLINE_THEME_PATH . '/admin/tgm/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'skyline_register_required_plugins' );

function skyline_register_required_plugins() {
	$plugins = array(
	 array(
            'name'                  => esc_html__('Redux Theme Options Framework','skyline'), // The plugin name
            'slug'                  => 'redux-framework', // The plugin slug (typically the folder name)
            'source'                => SKYLINE_THEME_PATH . '/admin/tgm/plugins/redux-framework.zip', // The plugin source
            'required'              => true, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),
		 array(
            'name'                  => esc_html__('Skyline Custom Posts','skyline'), // The plugin name
            'slug'                  => 'skyline-custom-posts', // The plugin slug (typically the folder name)
            'source'                => SKYLINE_THEME_PATH . '/admin/tgm/plugins/skyline-custom-posts.zip', // The plugin source
            'required'              => true, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),
		 array(
            'name'                  => esc_html__('Skyline Custom Widgets','skyline'), // The plugin name
            'slug'                  => 'skyline-custom-widgets', // The plugin slug (typically the folder name)
            'source'                => SKYLINE_THEME_PATH . '/admin/tgm/plugins/skyline-custom-widgets.zip', // The plugin source
            'required'              => true, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),
		 array(
            'name'                  => esc_html__('Skyline Custom Style Settings','skyline'), // The plugin name
            'slug'                  => 'skyline-custom-style-settings', // The plugin slug (typically the folder name)
            'source'                => SKYLINE_THEME_PATH . '/admin/tgm/plugins/skyline-custom-style-settings.zip', // The plugin source
            'required'              => true, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),
		 array(
            'name'                  => esc_html__('Extend Visual Composer','skyline'), // The plugin name
            'slug'                  => 'skyline-extend-vc', // The plugin slug (typically the folder name)
            'source'                => SKYLINE_THEME_PATH . '/admin/tgm/plugins/skyline-extend-vc.zip', // The plugin source
            'required'              => true, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),
		 array(
            'name'     				=> esc_html__('Revolution Slider','skyline'), // The plugin name
            'slug'     				=> 'revslider', // The plugin slug (typically the folder name)
            'source'   				=> SKYLINE_THEME_PATH . '/admin/tgm/plugins/revslider.zip', // The plugin source
            'required' 				=> true, // If false, the plugin is only 'recommended' instead of required
            'version' 				=> '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
        ),
        array(
            'name'                  => esc_html__('Visual Composer','skyline'), // The plugin name
            'slug'                  => 'js_composer', // The plugin slug (typically the folder name)
            'source'                => SKYLINE_THEME_PATH . '/admin/tgm/plugins/js_composer.zip', // The plugin source
            'required'              => true, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),
		   array(
            'name'                  => esc_html__('WooCommerce','skyline'), // The plugin name
            'slug'                  => 'woocommerce', // The plugin slug (typically the folder name)
            'source'                => SKYLINE_THEME_PATH . '/admin/tgm/plugins/woocommerce.zip', // The plugin source
            'required'              => true, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),
			   array(
            'name'                  => esc_html__('Contact Form 7','skyline'), // The plugin name
            'slug'                  => 'contact-form-7', // The plugin slug (typically the folder name)
            'source'                => SKYLINE_THEME_PATH . '/admin/tgm/plugins/contact_form7.zip', // The plugin source
            'required'              => true, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),
		  array(
            'name'                  => esc_html__('Envato WordPress Toolkit','skyline'), // The plugin name
            'slug'                  => 'envato-wordpress-toolkit-master', // The plugin slug (typically the folder name)
            'source'                => SKYLINE_THEME_PATH . '/admin/tgm/plugins/envato-wordpress-toolkit-master.zip', // The plugin source
            'required'              => true, // If false, the plugin is only 'recommended' instead of required
            'version'               => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
            'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
            'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
            'external_url'          => '', // If set, overrides default API URL and points to an external URL
        ),
	);
	
 
	$config = array(
		'id'           => 'skyline',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'install-required-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);
	tgmpa( $plugins, $config );
}