<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package skyline
 */
?>
<?php $skyline_data = skyline_redux_data(); 
$footer_bg_class = $footer_bg_url = $footer_bg_color_transparent = $footer_padding = "";
if(!empty($skyline_data['footer_bg_img']['url'])) {
$footer_bg_class = "bg-img";
$footer_bg_url = $skyline_data['footer_bg_img']['url'];
$footer_bg_color_transparent = "background-color: transparent;";
$footer_padding = "padding-top: 100px;";
}
?>
	</div><!-- #content -->
	<footer id="colophon" class="site-footer " role="contentinfo">
		<div class="site-info">
<!-- ================================================== -->
<!-- ================== START FOOTER ==================== -->
<!-- ================================================== -->
<div class="footer-wrapper <?php echo $footer_bg_class; ?>" style="background-image: url(<?php echo esc_url($footer_bg_url); ?>);">
  <div class="fullwidth-section footer" id="footer-widgets" style="<?php echo $footer_bg_color_transparent; echo $footer_padding; ?>">
   <div class="fullwidth-section">
  <div class="container-fluid">
  <div class="row">
  <div class="col-md-4" id="footer-column1">
<?php
if(is_active_sidebar('footer-column-1')){
dynamic_sidebar('footer-column-1');
}
?>
  </div>
   <div class="col-md-4" id="footer-column2">
 <?php
if(is_active_sidebar('footer-column-2')){
dynamic_sidebar('footer-column-2');
}
?>
  </div>
   <div class="col-md-4" id="footer-column3">
<?php
if(is_active_sidebar('footer-column-3')){
dynamic_sidebar('footer-column-3');
}
?>
  </div>
  </div>
  </div>
  </div>
    </div>
 <!-- ========== SECONDARY FOOTER (Optional) ========== -->
 <?php if (isset($skyline_data['footer-secondary']) && ($skyline_data['footer-secondary']) == "1") { ?>
 <div class="secondary-footer" style="<?php echo $footer_bg_color_transparent; ?>">
  <div class="fullwidth-section">
  <div class="container-fluid">
    <div class="row">
   <div class="col-md-6 secondary-footer-text">
 <?php echo wp_kses($skyline_data['footer-secondary-text'], array(
    'a' => array(
        'href' => array()
    ),
	'i' => array(
        'class' => array()
    ),
    'br' => array(),
    'em' => array(),
    'strong' => array(),
)
); ?>
  </div>

  <div class="col-md-6 text-right">
  <div class="footer-social-icons"><?php skyline_social_icons(); ?></div>
  </div>
    </div>
	  </div>
	    </div>
		   </div>
		<?php } ?>
		</div> <!-- End Footer Wrapper -->
      <!-- ================================================== -->
      <!-- ================== END FOOTER ==================== -->
      <!-- ================================================== -->
		</div><!-- .site-info -->
	</footer><!-- #colophon -->
</div><!-- #page -->
<?php wp_footer(); ?>
  <!-- ================================================== -->
      <!-- ============= START SCROLL TO TOP SCRIPT ============= -->
      <!-- ================================================== -->
