<?php
$output = $onepage = $custom_class = $bg_image = $tile_bg = $bg_color = $bg_color2 = $bg_overlay_color = $bg_overlay_color2 = $bg_video = $bg_image_backup = $font_color = $padding_top = $padding_bottom = $row_separator = $container_style = '';
extract(shortcode_atts(array(
	'onepage'        => '',
    'custom_class'        => '',
    'bg_image'        => '',
	'tile_bg'	=> '',
    'bg_color'        => '',
	'bg_color2'        => '',
	'bg_overlay_color'	=> '',
	'bg_overlay_color2'	=> '',
	'bg_video'        => '',
	'bg_image_backup'        => '',
    'font_color'      => '',
	'padding_top'      => '',
	'padding_bottom'      => '',
    'row_separator'     => '',
    'container_style' => ''
), $atts));
wp_enqueue_style( 'js_composer_front' );
wp_enqueue_script( 'wpb_composer_front_js' );
wp_enqueue_style('js_composer_custom_css');
$style = $this->buildStyle($custom_class, $bg_image, $tile_bg, $bg_color, $bg_color2, $bg_overlay_color, $bg_overlay_color2, $bg_video, $bg_image_backup, $font_color, $row_separator, $padding_top, $padding_bottom);
$paddings = "padding-top:".$padding_top."px; padding-bottom:".$padding_bottom."px";
$youtube_link = esc_url('https://www.youtube.com/embed/');
// For One Page Layout ID
if (!empty($onepage)) {
$onepage = 'id='.$onepage.'';
} else {
$onepage = "";
}
switch($container_style) {
    case 'default':
		$output .= '<div class="fullwidth-section-wrapper scrollspy '.esc_attr($row_separator).'" '.esc_attr($onepage).' style="background-color:'.esc_attr($bg_color).'; background: linear-gradient(135deg, '.esc_attr($bg_color).' 0%,'.esc_attr($bg_color2).' 100%); "><div class="fullwidth-section '.esc_attr($custom_class).'" style="'.esc_attr($paddings).';">';
        $output .= '<div class="container-fluid"><div class="row">';
        $output .= wpb_js_remove_wpautop($content);
        $output .= '</div></div></div></div>'.$this->endBlockComment('row');
        break;
    case 'parallax':
        $parallax_url = wp_get_attachment_image_src( $bg_image, 'blog-posts' );
        $output .= '<div class="parallax scrollspy '.esc_attr($custom_class).'" '.esc_attr($onepage).' style="background-image: url('.esc_url($parallax_url[0]).'); background-repeat: repeat; background-size: '.esc_attr($tile_bg).'; '.esc_attr($paddings).';"><div class="bg-overlay" style="background-color: '.esc_attr($bg_overlay_color).'; background: linear-gradient(135deg, '.esc_attr($bg_overlay_color).' 0%,'.esc_attr($bg_overlay_color2).' 100%);"></div>';
        $output .= '<div class="parallax-inner"><div class="container-fluid"><div class="row">';
        $output .= wpb_js_remove_wpautop($content);
        $output .= '</div></div></div></div>'.$this->endBlockComment('row');
        break;
    case 'fixed-image':
        $fixed_image_url = wp_get_attachment_image_src( $bg_image, 'blog-posts' );
        $output .= '<div class="fullwidth-section-wrapper scrollspy bg-img" '.esc_attr($onepage).' style="background-image: url('.esc_url($fixed_image_url[0]).'); background-repeat: repeat; background-size: '.esc_attr($tile_bg).';"><div class="bg-overlay" style="background-color: '.esc_attr($bg_overlay_color).'; background: linear-gradient(135deg, '.esc_attr($bg_overlay_color).' 0%,'.esc_attr($bg_overlay_color2).' 100%);"></div><div class="fullwidth-section '.esc_attr($custom_class).'" style=" '.esc_attr($paddings).';">';
        $output .= '<div class="container-fluid"><div class="row">';
        $output .= wpb_js_remove_wpautop($content);
        $output .= '</div></div></div></div>'.$this->endBlockComment('row');
        break;
    case 'fullwidth':
        $output .= '<div class="fullwidth-section-wrapper scrollspy '.esc_attr($row_separator).'" '.esc_attr($onepage).' style="background-color:'.esc_attr($bg_color).';"><div class="fullwidth-section-full '.esc_attr($custom_class).' " '.esc_attr($onepage).' style=" '.esc_attr($paddings).';"><div class="row">';
        $output .= wpb_js_remove_wpautop($content);
        $output .= '</div></div></div>'.$this->endBlockComment('row');
        break;
    case 'slider':
        $output .= '<div class= '.esc_attr($custom_class).'" '.esc_attr($onepage).'>';
        $output .= wpb_js_remove_wpautop($content);
        $output .= '</div>'.$this->endBlockComment('row');
        break;	
	case 'video-bg':
		$video_image_url = wp_get_attachment_image_src( $bg_image_backup, 'blog-posts' );
		$if_mobile = "background-image: url(".esc_attr($video_image_url[0]).");";
        $output .= '<div class="bg-video scrollspy" '.esc_attr($onepage).'><iframe id="ytplayer" src="'.esc_url($youtube_link).''.esc_attr($bg_video).'?autoplay=1&loop=1&controls=0&showinfo=0&enablejsapi=1&iv_load_policy=3" frameborder="0" allowfullscreen></iframe>';
		$output .= '<div class="fullwidth-section '.esc_attr($custom_class).'" style="background-color: '.esc_attr($paddings).';"><div class="container-fluid"><div class="row">';
        $output .= wpb_js_remove_wpautop($content);
        $output .= '</div></div></div></div>'.$this->endBlockComment('row');
        break;
    default:
		$output .= '<div class="fullwidth-section-wrapper '.esc_attr($row_separator).' scrollspy" '.esc_attr($onepage).' style="background-color:'.esc_attr($bg_color).'; background: linear-gradient(135deg, '.esc_attr($bg_color).' 0%,'.esc_attr($bg_color2).' 100%); "><div class="fullwidth-section '.esc_attr($custom_class).'" style=" '.esc_attr($paddings).';">';
        $output .= '<div class="container-fluid"><div class="row">';
        $output .= wpb_js_remove_wpautop($content);
        $output .= '</div></div></div></div>'.$this->endBlockComment('row');
}
echo $output;