<?php
/**
 * @package skyline
 */
$skyline_data = skyline_redux_data();
skyline_breadcrumb(); ?>
	<?php while ( have_posts() ) : the_post(); ?>	
<?php $skyline_team = get_post_meta( get_the_ID(), 'skyline_team', true ); ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<div class="fullwidth-section">
<div class="container-fluid">
<div class="row">
<div class="col-sm-5 text-center team-large">
<?php
// check if the post has a Post Thumbnail assigned to it.
if ( has_post_thumbnail() ) {
	the_post_thumbnail();
} ?>
</div>
<div class="col-sm-6 col-sm-offset-1 center-smallscreens">
	<header class="entry-header">
		<?php the_title( '<h2 class="entry-title special">', '</h2>' ); ?>
<h4><?php echo esc_html($skyline_team['designation']); ?></h4>
	</header><!-- .entry-header -->
	<div class="entry-content">
		<?php the_content(); ?>
	</div><!-- .entry-content -->
	 <div class="team-social-icons"><?php skyline_team_social_icons($skyline_team); ?></div>
</div>
</div>
</div>
</div>
</article><!-- #post-## -->
 <?php endwhile; // end of the loop. ?>