<?php 
$skyline_data = skyline_redux_data();
$subject = $loop;
$search = 'by_id:';
$trimmed_loop = str_replace($search, '', $subject);
$loop2 = explode(",", $trimmed_loop);
$query = new WP_Query(  array (
    'post_type' => 'post',
	'post__in' => $loop2,
	'ignore_sticky_posts'    => true,
) );
$car_id = rand();
?>
<div id="blog-carousel-<?php echo $car_id; ?>" class="carousel slide text-center blog-slider">
				
				<!-- Wrapper for slides -->
				<div class="carousel-inner">
				<?php
				$i = 1;
// The Loop
if ( $query->have_posts() ) {
	while ( $query->have_posts() ) {
$query->the_post();
global $post;
global $posts;
	$postid = get_the_ID();
	$url = wp_get_attachment_image_src( get_post_thumbnail_id($postid), 'blog-posts' );?>
<?php $permalink = get_permalink(); 
if ($i == 1) {
$active = "active";
} else {
$active = "";
}
$i++
?>
					<!-- Slide 1 -->
					<div class="item <?php echo $active; ?>">
<div class="row"><div class="col-md-12"><div class="img-wrapper">
<a href="<?php esc_url(the_permalink()); ?>">
<div class="<?php echo esc_attr($slider_height); ?> parallax" style="background-image: url('<?php echo esc_url($url[0]);?>'); overflow-x: hidden;"><div class="bg-overlay"></div></div></a>
   <header class="entry-header fullwidth-post-header">
        <!-- Start contianer -->
<div class="container-fluid">
<div class="row">
<div class="col-md-12">
<a href="<?php esc_url(the_permalink()); ?>"><?php the_title( '<h1 class="entry-title" style="margin-top: 0; margin-bottom: 10px;">', '</h1>' ); ?></a>

   <div class="entry-meta" style="margin-bottom: 10px;">
		 <div class="row">
		 <div class="col-md-12 text-center">
	<p>by <?php the_author(); ?>&nbsp;on&nbsp;<?php the_time('j F Y') ?></p>
	</ul>
	</div>
	</div>
	</div><!-- .entry-meta -->	
	 </div></div></div><!-- end container -->
    </header><!-- .entry-header -->
				 </div></div></div>
					
</div>
<?php
}
}
?>
</div>
<!-- Controls -->
  <a class="left carousel-control" href="#blog-carousel-<?php echo $car_id; ?>" role="button" data-slide="prev">
    <img src="<?php echo get_template_directory_uri(); ?>/img/prev.png">
    <span class="sr-only">&#60;</span>
  </a>
  <a class="right carousel-control" href="#blog-carousel-<?php echo $car_id; ?>" role="button" data-slide="next">
   <img src="<?php echo get_template_directory_uri(); ?>/img/next.png">
    <span class="sr-only">&#62;</span>
  </a>
</div>
<?php 
// Restore original Post Data
wp_reset_postdata();
?>
<script type="text/javascript">
      (function($) { "use strict";
	  $(document).ready(function() {
$('a[data-slide="prev"]').click(function() {
  $('#blog-carousel-<?php echo $car_id; ?>').carousel('prev');
});

$('a[data-slide="next"]').click(function() {
  $('#blog-carousel-<?php echo $car_id; ?>').carousel('next');
});
});
  })(jQuery);
</script>	