  <script src="http://maps.google.com/maps/api/js?sensor=false" 
          type="text/javascript"></script>
  <div id="map" style="width: 100%; height: <?php echo $map_height; ?>px;"></div>
  <script type="text/javascript">
    var locs = [
      ['<?php echo esc_js($loc_1_desc); ?>', <?php echo esc_js($loc_1_lat); ?>, <?php echo esc_js($loc_1_long); ?>, 1],
	  ['<?php echo esc_js($loc_2_desc); ?>', <?php echo esc_js($loc_2_lat); ?>, <?php echo esc_js($loc_2_long); ?>, 2],
	  ['<?php echo esc_js($loc_3_desc); ?>', <?php echo esc_js($loc_3_lat); ?>, <?php echo esc_js($loc_3_long); ?>, 3],
	  ['<?php echo esc_js($loc_4_desc); ?>', <?php echo esc_js($loc_4_lat); ?>, <?php echo esc_js($loc_4_long); ?>, 4],
	  ['<?php echo esc_js($loc_5_desc); ?>', <?php echo esc_js($loc_5_lat); ?>, <?php echo esc_js($loc_5_long); ?>, 5],
    ];
    var map = new google.maps.Map(document.getElementById('map'), {
      zoom: <?php echo esc_js($map_zoom); ?>,
      center: new google.maps.LatLng(<?php echo esc_js($loc_1_lat); ?>, <?php echo esc_js($loc_1_long); ?>),
      mapTypeId: google.maps.MapTypeId.ROADMAP,
	  scrollwheel: false,
    });
    var infowindow = new google.maps.InfoWindow();
	var image = {
    url: '<?php echo plugins_url(); ?>/skyline-extend-vc/vc_img/location-icon.png',
    // This marker is 20 pixels wide by 32 pixels tall.
    scaledSize: new google.maps.Size(32, 42),
    // The origin for this image is 0,0.
    origin: new google.maps.Point(0,0),
    // The anchor for this image is the base of the flagpole at 0,32.
    anchor: new google.maps.Point(0, 42)
  };
    var marker, i;
    for (i = 0; i < locs.length; i++) {  
		marker = new google.maps.Marker({
        position: new google.maps.LatLng(locs[i][1], locs[i][2]),
        map: map,
		icon: image,
      });
      google.maps.event.addListener(marker, 'click', (function(marker, i) {
        return function() {
          infowindow.setContent(locs[i][0]);
          infowindow.open(map, marker);
        }
      })(marker, i));
    }
  </script>