<style type="text/css">
.owl-theme .owl-controls .owl-page span{
	background: transparent;
	border:2px solid <?php echo esc_attr($carousel_shop_controls); ?>;
	background-color:transparent;
}
.owl-theme .owl-controls.clickable .owl-page:hover span{
	border:2px solid <?php echo esc_attr($carousel_shop_controls); ?>;
	background-color:transparent;
}
.owl-theme .owl-controls .owl-page.active span {
	border:2px solid <?php echo esc_attr($carousel_shop_controls); ?>;
	background-color:<?php echo esc_attr($carousel_shop_controls); ?>;
}
</style>
<?php 
$args = array (
	'post_type'              => 'product',
	'post_status'            => 'publish',
	'posts_per_page'         => esc_attr($carousel_shop_toshow),
	'orderby'                => esc_attr($carousel_shop_order),
	'ignore_sticky_posts'    => true,
	'order'                  => esc_attr($carousel_shop_orderby),
);
// The Query
$query = new WP_Query( $args );
?>
<div id="owl-slider" class="owl-carousel carousel-shop">
<?php
// The Loop
if ( $query->have_posts() ) {
	while ( $query->have_posts() ) {
		$query->the_post(); ?>
	
<?php 
	$postid = get_the_ID();
	$url = wp_get_attachment_image_src( get_post_thumbnail_id($postid), 'blog-posts-small' );?>
<?php $permalink =  esc_url( get_permalink() );?>
<?php  if ($url == "") { ?>
<div class="col-sm-4"><a href="<?php echo esc_url($permalink);?>"><div class="img-wrapper">
<div class="height-33 blog-img" style="background-color: rgba(0,0,0,0.5);">
<div class="hover-effect"></div>	
				  </div></div></a>
<?php } else { ?>
<div class="shop-item-wrapper"><a href="<?php echo esc_url($permalink);?>"><div class="img-wrapper">
<div class="shop-img" style="background-image: url('<?php echo esc_url($url[0])?>');">
<div class="hover-effect"></div>	
				  </div></div></a>
 <?php } ?>
<div class="blog-text-wrapper woocommerce">
<h3 style="margin-bottom: 10px"><a href="<?php echo esc_url($permalink);?>"><?php esc_html(the_title()); ?></a></h3>
	<?php
			/**
			 * woocommerce_after_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_template_loop_rating - 5
			 * @hooked woocommerce_template_loop_price - 10
			 */
			do_action( 'woocommerce_after_shop_loop_item_title' );
		?>
<p><?php echo substr(get_the_excerpt(), 0,80); ?>...</p>
	
<div class="add-to-cart-button" style="margin-bottom: 20px">
<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
</div>
</div>
</div>
<?php
}
?>
</div>
<?php
} else {
	// no posts found
}
// Restore original Post Data
wp_reset_postdata();
?>
			<script type="text/javascript">
	  (function($) { "use strict";
	  $(document).ready(function() {
     
    $("#owl-slider").owlCarousel({
items: <?php echo esc_attr($carousel_shop_number); ?>,
itemsScaleUp: true,
autoPlay: <?php echo esc_attr($carousel_shop_timer); ?>,
stopOnHover: true
});
});
  })(jQuery);
</script>