<?php
if($lightbox == "lightbox") {
$lightbox = "<a href='".esc_html($single_image_url[0])."' data-lightbox='image-".esc_html($single_image_url[0])."' data-title='".esc_attr($single_image_caption)."'>";
$lightbox_after = "</a>";
$lightbox_hover = "<div class='hover-effect'></div>";
} elseif ($lightbox == "link") {
$lightbox = "<a class='single-img-link' href='".esc_html($single_img_link)."' target='_blank'><i class='feather-link'></i>";
$lightbox_after = "</a>";
$lightbox_hover = "<div class='hover-effect'></div>";
} else {
$lightbox = "";
$lightbox_after = "";
$lightbox_hover = "";
}
// Set margins for images set to less than 100% width
$margin_width = "";
if ($image_align == "text-center") {
if ($image_width == "100%") {
$margin_width = "";
} 
elseif ($image_width == "90%") {
$margin_width = "5%";
} 
elseif ($image_width == "80%") {
$margin_width = "10%";
} 
elseif ($image_width == "70%") {
$margin_width = "15%";
} 
elseif ($image_width == "60%") {
$margin_width = "20%";
} 
elseif ($image_width == "50%") {
$margin_width = "25%";
} 
}
if ($image_border_width == "" || $image_border_width == "No Border") {
$image_border2 = "none";
} else {
$image_border2 = esc_attr($image_border_width) ." solid ". esc_attr($image_border);
}
// Display Image
if ($single_image_style == "1") {
echo "<div class='single-img-wrapper ".esc_attr($image_align)."' style='border:".esc_attr($image_border2)."'>".$lightbox."".$lightbox_hover."<img alt='img' src='".esc_url($single_image_url[0])."'>".$lightbox_after."</div>";
} elseif ($single_image_style == "2") {
echo "<div class='img-wrapper ".esc_attr($image_align)."' style='display: inline-block; width:".esc_attr($image_width)."; margin: 0 ".esc_attr($margin_width)."; border:".esc_attr($image_border2)." '>".$lightbox."<div class='single-img img-gallery-rectangle' style='background-image: url(".esc_url($single_image_url[0])."); height: auto;'>".$lightbox_hover."</div>".$lightbox_after."</div>";
} elseif ($single_image_style == "3") {
echo "<div class='img-wrapper-circle-single ".esc_attr($image_align)."' style='display: inline-block; width:".esc_attr($image_width)."; margin: 0 ".esc_attr($margin_width)."; border:".esc_attr($image_border2)." '>".$lightbox."<div class='single-img img-gallery-circle' style='background-image: url(".esc_url($single_image_url[0])."); height: auto;'>".$lightbox_hover."</div>".$lightbox_after."</div>";
} elseif ($single_image_style == "4") {
echo "<div class='img-wrapper ".esc_attr($image_align)."' style='display: inline-block; width:".esc_attr($image_width)."; margin: 0 ".esc_attr($margin_width)."; border:".esc_attr($image_border2)." '>".$lightbox."<div class='single-img img-gallery square' style='background-image: url(".esc_url($single_image_url[0])."); height: auto;'>".$lightbox_hover."</div>".$lightbox_after."</div>";
}
?>