<?php
$subject = $loop;
$search = 'by_id:';
$trimmed_loop = str_replace($search, '', $subject);
$loop2 = explode(",", $trimmed_loop);
 $query = new WP_Query(  array (
    'post_type' => 'team_members',
	'post__in' => $loop2,
    'meta_query'=> array(
        array(
            'key' => 'skyline_team', // this key will change!
            'value' => 'order',
            'type' => 'numeric',
        )
    ),
    'meta_key' => 'skyline_team',
    'orderby' => 'meta_value',
    'order' => 'ASC'
) );
        $this->team_query = $query;
 ?>
      <?php /* The Loop */  ?>
            <?php if ( $query->have_posts() ) : ?>
             <?php while ( $query->have_posts() ) :  $query->the_post(); ?>
<?php $skyline_team = get_post_meta( get_the_ID(), 'skyline_team', true ); ?>
<div class="team_members text-center" style="border-color:<?php echo esc_attr($border_color); ?>">
<a href="<?php echo esc_url(the_permalink()); ?>">
				  <?php
// check if the post has a Post Thumbnail assigned to it.
if ( has_post_thumbnail() ) {
	$url = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );?>
<img src="<?php echo esc_url($url); ?>" class="team_img"  alt="team_img" style="border-color:<?php echo esc_attr($border_color); ?>" />
<?php
}  ?>
</a>
<header class="entry-header">
		<h3 class="entry-title special" style="color:<?php echo esc_attr($header_color);?>"><a href="<?php echo esc_url(the_permalink()); ?>"><?php the_title(); ?></a></h3>
<h5 style="color:<?php echo $header_color;?>"><?php echo $skyline_team['designation']; ?></h5>
	</header><!-- .entry-header -->
<div class="entry-content" style="color:<?php echo esc_attr($font_color);?>">
<?php echo substr(get_the_excerpt(), 0,160); ?>
</div></div>
                <?php endwhile; ?>
            <?php else : ?>
                <?php
                /* Get the none-content template (error) */
               /* get_template_part( 'content', 'none' ); */
                ?>
            <?php endif; 
wp_reset_postdata(); 
 /* End Of The Loop */ 
?>