<?php
// team meta box start
    function team_metabox_callback(){
    	wp_nonce_field( 'team_metabox_nonce_action', 'team_metabox_nonce_name' );
		if ( get_post_meta( get_the_ID(), 'skyline_team', true ) ) {
			$skyline_team = get_post_meta( get_the_ID(), 'skyline_team', true );
		}
		?>
        <div>
	
		<div class="team-options">
            <div>
				<label><?php echo esc_html__('Title or Designation:','skyline'); ?> </label>
                <input type="text" name="skyline_team[designation]" value="<?php echo esc_attr($skyline_team['designation']); ?>">
            </div>
			<hr/>
            <div>
				<label>Facebook <?php echo esc_html__('Profile:','skyline'); ?> </label>
                <input type="text" name="skyline_team[facebook]" value="<?php echo esc_attr($skyline_team['facebook']); ?>">
            </div>
            <div>
				<label>Twitter <?php echo esc_html__('Profile:','skyline'); ?> </label>
                <input type="text" name="skyline_team[twitter]" value="<?php echo esc_attr($skyline_team['twitter']); ?>">
            </div>
            <div>
				<label>Pinterest <?php echo esc_html__('Profile:','skyline'); ?> </label>
                <input type="text" name="skyline_team[pinterest]" value="<?php echo esc_attr($skyline_team['pinterest']); ?>">
            </div>
               <div>
				<label>LinkedIn <?php echo esc_html__('Profile:','skyline'); ?> </label>
                <input type="text" name="skyline_team[linkedin]" value="<?php echo esc_attr($skyline_team['linkedin']); ?>">
            </div>
			   <div>
				<label>Google+ <?php echo esc_html__('Profile:','skyline'); ?> </label>
                <input type="text" name="skyline_team[googleplus]" value="<?php echo esc_attr($skyline_team['googleplus']); ?>">
            </div>
			   <div>
				<label>Instagram <?php echo esc_html__('Profile:','skyline'); ?> </label>
                <input type="text" name="skyline_team[instagram]" value="<?php echo esc_attr($skyline_team['instagram']); ?>">
            </div>
			   <div>
				<label>Dribbble <?php echo esc_html__('Profile:','skyline'); ?> </label>
                <input type="text" name="skyline_team[dribbble]" value="<?php echo esc_attr($skyline_team['dribbble']); ?>">
            </div>
			   <div>
				<label>Vimeo <?php echo esc_html__('Profile:','skyline'); ?> </label>
                <input type="text" name="skyline_team[vimeo]" value="<?php echo esc_attr($skyline_team['vimeo']); ?>">
            </div>
			   <div>
				<label>Skype <?php echo esc_html__('Profile:','skyline'); ?> </label>
                <input type="text" name="skyline_team[skype]" value="<?php echo esc_attr($skyline_team['skype']); ?>">
            </div>
			   <div>
				<label>Flickr <?php echo esc_html__('Profile:','skyline'); ?> </label>
                <input type="text" name="skyline_team[flickr]" value="<?php echo esc_attr($skyline_team['flickr']); ?>">
            </div>
			   <div>
				<label>Youtube <?php echo esc_html__('Profile:','skyline'); ?> </label>
                <input type="text" name="skyline_team[youtube]" value="<?php echo esc_attr($skyline_team['youtube']); ?>">
            </div>
			   <div>
				<label>Github <?php echo esc_html__('Profile:','skyline'); ?> </label>
                <input type="text" name="skyline_team[github]" value="<?php echo esc_attr($skyline_team['github']); ?>">
            </div>
             
       </div>
    <?php
	}
	function team_metabox_add(){
		add_meta_box( "team_metabox", "Other Options", "team_metabox_callback", "team_members", "normal", "default", "callback_args" );
	}
	add_action( 'add_meta_boxes', 'team_metabox_add' );
    // Save data from meta box
    function team_save_data($post_id) {
		if ( isset($_POST['team_metabox_nonce_name']) ) {
			update_post_meta($post_id, 'skyline_team', $_POST['skyline_team'] );
		}
    }
    add_action('save_post', 'team_save_data');
// team meta box end
// START OF POST FORMAT OPTIONS
    function post_format_option_metabox_callback(){
        wp_nonce_field( 'post_format_option_metabox_nonce_action', 'post_format_option_metabox_nonce_name' );
		$skyline_post_format_option = array(
                    'post_format_video_youtube' => '', 
					'post_format_video_vimeo' => '', 
                    'post_format_audio_soundcloud' => '',
					'post_format_quote' => '',
					'post_format_quote_source' => '',
				);
		if ( get_post_meta( get_the_ID(), 'skyline_post_format_option', true ) ) {
			$skyline_post_format_option = get_post_meta( get_the_ID(), 'skyline_post_format_option', true );
		}
       
		?>
        <div class="post-format-options">
<div id="video-options" class="">
<br/>
<?php echo esc_html__('YouTube Video ID:','skyline');?><br/>
<input type="text" name="skyline_post_format_option[post_format_video_youtube]" value="<?php echo esc_attr($skyline_post_format_option['post_format_video_youtube']); ?>"><br/>
<?php echo esc_html__('Example: https://www.youtube.com/watch?v=','skyline');?><strong><u>9d8wWcJLnFI</u></strong><br/><Br/>
<?php echo esc_html__('OR','skyline');?>
<br/><br/>
<?php echo esc_html__('Vimeo Video ID:','skyline');?><br/>
<input type="text" name="skyline_post_format_option[post_format_video_vimeo]" value="<?php echo esc_attr($skyline_post_format_option['post_format_video_vimeo']); ?>"><br/>
<?php echo esc_html__('Example: https://vimeo.com/','skyline');?><strong><u>61487989</u></strong><br/><Br/>
<?php echo esc_html__('This video will be shown at the top of the post page.','skyline');?><br/>
<?php echo esc_html__('Text/content entered above will be displayed below the video.','skyline');?><br/><br/>
</div>
<div id="audio-options" class="">
<br/>
<?php echo esc_html__('SoundCloud Embed:','skyline');?><br/>
<textarea name="skyline_post_format_option[post_format_audio_soundcloud]" rows="5">
<?php echo esc_html($skyline_post_format_option['post_format_audio_soundcloud']); ?>
</textarea><br/><br/>
<?php echo esc_html__('Use the','skyline');?><strong><?php echo esc_html__('iframe','skyline');?></strong> <?php echo esc_html__('embed.','skyline');?><br/>
<?php echo esc_html__('Do not use the WordPress code.','skyline');?><br/><br/>
<?php echo esc_html__('Example:','skyline');?><br/>
<img style="border: 2px solid #EEE;" src="<?php echo SKYLINE_THEME_URI . '/img/admin/soundcloud.png'; ?>"/>
<br/><br/>
</div>
<div id="quote-options" class="">
<br/>
<?php echo esc_html__('Quote:','skyline');?><br/>
<textarea name="skyline_post_format_option[post_format_quote]" rows="5">
<?php echo esc_html($skyline_post_format_option['post_format_quote']); ?>
</textarea>
<br/><br/>
<?php echo esc_html__('Quote Source:','skyline');?><br/>
<input type="text" name="skyline_post_format_option[post_format_quote_source]" value="<?php echo esc_attr($skyline_post_format_option['post_format_quote_source']); ?>"><br/><br/>
<?php echo esc_html__('Text/content entered above will be displayed below the quote.','skyline'); ?>
<br/><br/>
</div>
<div id="link-options" class="">
<br/>
<?php echo esc_html__('Link URL:','skyline');
$post_format_link = isset($skyline_post_format_option['post_format_link']) ? $skyline_post_format_option['post_format_link'] : '';
?><br/>
<input type="text" name="skyline_post_format_option[post_format_link]" value="<?php echo esc_attr($post_format_link); ?>">
<br/><br/>
<?php echo esc_html__('You can also include a short description of the link in the content area above.','skyline'); ?>
<br/><br/>
</div>
</div>
    <?php
	}
	function post_format_option_metabox_add(){
		$types = array( 'post');
foreach( $types as $type ) {
		add_meta_box( "post_format_option_metabox", "Post Format Options", "post_format_option_metabox_callback", $type, "normal", "default", "callback_args" );
		}
	}
	add_action( 'add_meta_boxes', 'post_format_option_metabox_add' );
    // Save data from meta box
    function post_format_option_save_data($post_id) {
		if ( isset($_POST['post_format_option_metabox_nonce_name']) ) {
			update_post_meta($post_id, 'skyline_post_format_option', $_POST['skyline_post_format_option'] );
		}
    }
    add_action('save_post', 'post_format_option_save_data');
// END OF SIDEBAR OPTION
// breadcrumb override start
    function breadcrumb_metabox_callback(){
		wp_nonce_field( 'breadcrumb_metabox_nonce_action', 'breadcrumb_metabox_nonce_name' );
		$skyline_breadcrumb_override = array(
					'breadcrumb' => '', 
				);
		if ( get_post_meta( get_the_ID(), 'skyline_breadcrumb_override', true ) ) {
			$skyline_breadcrumb_override = get_post_meta( get_the_ID(), 'skyline_breadcrumb_override', true );
		}
        
      $selected = $skyline_breadcrumb_override['breadcrumb'];
      if ($selected == "1") {
        $force_on = "selected='selected'";   
      } elseif ($selected == "0") {
          $force_off = "selected='selected'";
      } elseif ($selected == "") {
          $no_selection = "selected='selected'";
      }
    $skyline_data = skyline_redux_data();
    $global_bread = $skyline_data['breadcrumb-page'];
    if ($global_bread == "1") {
    $global_bread = "ON";
    } elseif ($global_bread == "0") {
        $global_bread = "OFF";
    } elseif ($global_bread == "") {
        $global_bread = "OFF";
    }
		?>
        
            <div>
<?php echo esc_html__('Breadcrumbs for "Pages" is currently set to','skyline');?>
<strong> "<?php echo esc_html($global_bread); ?>" </strong><?php echo esc_html__('in the SKYLINE Options menu.', 'skyline');?><br/>
<?php echo esc_html__('You can override this setting for individual pages here.','skyline');?><br/>
                <select name="skyline_breadcrumb_override[breadcrumb]">
                <option value="" <?php if (isset($no_selection)){ echo $no_selection; }?>><?php echo esc_html__('Choose:','skyline');?></option>
                <option value="0" <?php if (isset($force_off)){ echo $force_off; }?>><?php echo esc_html__('Force Breadcrumbs Off','skyline');?></option>
                <option value="1" <?php if (isset($force_on)){ echo $force_on; }?>><?php echo esc_html__('Force Breadcrumbs On','skyline');?></option>
</select>
            </div>
           
    <?php
	}
	function breadcrumb_metabox_add(){
		add_meta_box( "breadcrumb_metabox", "Breadcrumb Settings", "breadcrumb_metabox_callback", "page", "normal", "default", "callback_args" );
	}
	add_action( 'add_meta_boxes', 'breadcrumb_metabox_add' );
    // Save data from meta box
    function breadcrumb_save_data($post_id) {
		if ( isset($_POST['breadcrumb_metabox_nonce_name']) ) {
			update_post_meta($post_id, 'skyline_breadcrumb_override', $_POST['skyline_breadcrumb_override'] );
		}
    }
    add_action('save_post', 'breadcrumb_save_data');
// breadcrumb override end
// START OF SPECIAL BREADCRUMBS
    function special_bread_metabox_callback(){
        wp_nonce_field( 'special_bread_metabox_nonce_action', 'special_bread_metabox_nonce_name' );
		$skyline_special_bread = array(
					'special_bread' => '', 
				);
		if ( get_post_meta( get_the_ID(), 'skyline_special_bread', true ) ) {
			$skyline_special_bread = get_post_meta( get_the_ID(), 'skyline_special_bread', true );
		}
         $selected = $skyline_special_bread['special_bread'];
      if ($selected == "1") {
        $force_on = "selected='selected'";   
      } elseif ($selected == "0") {
          $force_off = "selected='selected'";
      } elseif ($selected == "") {
          $no_selection = "selected='selected'";
      }
		?>
        
            <div>
<?php echo esc_html__('Special breadcrumbs will take the featured image and use it as a background for the breadcrumbs.','skyline');?><br/>
               <select name="skyline_special_bread[special_bread]">
                <option value=""><?php echo esc_html__('Choose:','skyline');?></option>
                <option value="0" <?php if (isset($force_off)){ echo $force_off; }?>><?php echo esc_html__('Special Breadcrumbs Off','skyline');?></option>
                <option value="1" <?php if (isset($force_on)){ echo $force_on; }?>><?php echo esc_html__('Special Breadcrumbs On','skyline');?></option>
</select>
            </div>
           
    <?php
	}
	function special_bread_metabox_add(){
		add_meta_box( "special_bread_metabox", "Use Special Breadcrumb", "special_bread_metabox_callback", "page", "normal", "default", "callback_args" );
	}
	add_action( 'add_meta_boxes', 'special_bread_metabox_add' );
    // Save data from meta box
    function special_bread_save_data($post_id) {
		if ( isset($_POST['special_bread_metabox_nonce_name']) ) {
			update_post_meta($post_id, 'skyline_special_bread', $_POST['skyline_special_bread'] );
		}
    }
    add_action('save_post', 'special_bread_save_data');
// END OF SPECIAL BREADCRUMBS
// navigation fade in metabox
    function navfade_metabox_callback(){
    	wp_nonce_field( 'navfade_metabox_nonce_action', 'navfade_metabox_nonce_name' );
		$skyline_navfade = array(
					'navfade' => '', 
				);
		if ( get_post_meta( get_the_ID(), 'skyline_navfade', true ) ) {
			$skyline_navfade = get_post_meta( get_the_ID(), 'skyline_navfade', true );
		}
         $selected = $skyline_navfade['navfade'];
      if ($selected == "1") {
        $force_on = "selected='selected'";   
      } elseif ($selected == "0") {
          $force_off = "selected='selected'";
      } elseif ($selected == "") {
          $no_selection = "selected='selected'";
      }
		?>
        
            <div>
<?php echo esc_html__('This option is great to use when your page has a fullscreen slider or you are using the "Special Breadcrumb" option.','skyline');?><br/>
<?php echo esc_html__('It will overlay the slider or image with a transparent version of your navigation.','skyline');?><br/>
<?php echo esc_html__('Your original navigation will slide into view on scroll.','skyline');?><br/>
               <select name="skyline_navfade[navfade]">
                <option value="" <?php if (isset($no_selection)){ echo $no_selection; }?>><?php echo esc_html__('Choose:','skyline');?></option>
                <option value="0" <?php if (isset($force_off)){ echo $force_off; }?>><?php echo esc_html__('Transparent Navigation Off','skyline');?></option>
                <option value="1" <?php if (isset($force_on)){ echo $force_on; }?>><?php echo esc_html__('Transparent Navigation On','skyline');?></option>
</select>
            </div>
           
    <?php
	}
	function navfade_metabox_add(){
		add_meta_box( "navfade_metabox", "Turn On Transparent Navigation", "navfade_metabox_callback", "page", "normal", "default", "callback_args" );
	}
	add_action( 'add_meta_boxes', 'navfade_metabox_add' );
    // Save data from meta box
    function navfade_save_data($post_id) {
		if ( isset($_POST['navfade_metabox_nonce_name']) ) {
			update_post_meta($post_id, 'skyline_navfade', $_POST['skyline_navfade'] );
		}
    }
    add_action('save_post', 'navfade_save_data');
// navigation fadein metabox end
// Remove Revolution Slider Metabox and Visual Composer Teaser
function remove_plugin_metaboxes(){
    remove_meta_box( 'mymetabox_revslider_0', 'team_members', 'normal' );
	remove_meta_box( 'mymetabox_revslider_0', 'post', 'normal' );
    remove_meta_box( 'mymetabox_revslider_0', 'page', 'normal' );
	remove_meta_box( 'mymetabox_revslider_0', 'portfolio', 'normal' );
    remove_meta_box( 'vc_teaser', 'team_members', 'side' );
    remove_meta_box( 'vc_teaser', 'post', 'side' );
    remove_meta_box( 'vc_teaser', 'page', 'side' );
	remove_meta_box( 'vc_teaser', 'portfolio', 'side' );
}
add_action( 'do_meta_boxes', 'remove_plugin_metaboxes' );