<?php
// File Security Check
if ( ! defined( 'ABSPATH' ) ) { exit; }
class Skyline_Shortcodes {
    protected $prefix = 'skyline_shortcodes_';
    protected static $instance = null;
    private function __construct() {
        // Setup the visual composer new shortcodes.
		if(!@include(plugins_url . '/skyline-extend-vc/extend_vc.php'));
    }
    /**
     * Return an instance of this class.
     *
     * @since     1.0.0
     *
     * @return    object    A single instance of this class.
     */
    public static function get_instance() {
        // If the single instance hasn't been set, set it now.
        if ( null == self::$instance ) {
            self::$instance = new self;
        }
        return self::$instance;
    }
}
Skyline_Shortcodes::get_instance();